db-derby-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Wiki <wikidi...@apache.org>
Subject [Db-derby Wiki] Update of "MysqlDerbyMigration/RequirementDocument" by RaminMoazeni
Date Tue, 13 Jun 2006 03:40:03 GMT
Dear Wiki user,

You have subscribed to a wiki page or wiki category on "Db-derby Wiki" for change notification.

The following page has been changed by RaminMoazeni:
http://wiki.apache.org/db-derby/MysqlDerbyMigration/RequirementDocument

------------------------------------------------------------------------------
  || Description || As Java is used to program the prototype, JDK 1.5 is needed to support
its development. Also, the reason JDK v1.5 is chosen is because it is the latest version and
as backward compatibility is not an issue, old system on previous version of JDK can be integrated.
||
  || Priority || Very High ||
  
+ Table 13: Database SQL compliance
+ || Project Requirement || '''PR-13: The system should allow switching to a SQL-compliant
RDBMS and this should be configurable.''' ||
+ || Description || This means that the database (RDBMS) at the target system must be SQL
compliant because SQL is primarily what the clients will be using and is most commonly used
for Databases across the industry. ||
+ || Priority || High ||
+ 
+ Table 14: Conversion of data
+ || Project Requirement || '''PR-14: The conversion of data in the system from one format
to another shall be reliable and accurate. ''' ||
+ || Description || The data migration from source DBMS to the target DBMS over network of
machines or instances must not change the data and not corrupt the format. Also, the transaction
must be atomic and task of the transfer of data from one end to the other must be achieved
||
+ || Priority || Must Have ||
+ 

Mime
View raw message